<packet name="SelectTradeskill">
	<version number="955">
		<u32 name="unknown1">
		<str16 name="title_text">
		<u8 name="num_selections">
		<array name="selections" count="var:num_selections">
			<str16 name="tradeskill_name">
			<str16 name="tradeskill_description">
			<u16 name="icon_id">
			<u16 name="unknown2">
			<u32 name="unknown3">
			<str16 name="command_text">
			<u8 name="unknown4" size="6">
		</array>
		<str16 name="command_text_cancel">
		<u8 name="unknown5">
	</version>
	<version number="1096">
		<u32 name="unknown1">
		<str16 name="title_text">
		<u8 name="num_selections">
		<array name="selections" count="var:num_selections">
			<str16 name="tradeskill_name">
			<str16 name="tradeskill_description">
			<u16 name="icon_id">
			<u16 name="unknown3">
			<u32 name="icon_sheet">
			<str16 name="command_text">
			<str16 name="confirm_window_title">
			<u8 name="unknown4" size="12">
		</array>
		<str16 name="command_text_cancel">
		<u16 name="unknown5a">
		<u8 name="unknown5">
	</version>
	<version number="60114">
		<u32 name="unknown1">
		<str16 name="title_text">
		<u8 name="num_selections">
		<array name="selections" count="var:num_selections">
			<str16 name="tradeskill_name">
			<str16 name="tradeskill_description">
			<u32 name="icon_id">
			<u32 name="icon_sheet">
			<str16 name="command_text">
			<str16 name="confirm_window_title">
			<u32 name="unknown4" size="3">
			<u64 name="unknown6">
			<u32 name="unknown7">
		</array>
		<str16 name="command_text_cancel">
		<str16 name="unknown5a">
		<u8 name="unknown5">
	</version>
	<version number="60115">
		<u32 name="unknown1">
		<str16 name="title_text">
		<u8 name="num_selections">
		<array name="selections" count="var:num_selections">
			<str16 name="tradeskill_name">
			<str16 name="tradeskill_description">
			<u16 name="icon_id">
			<u16 name="unknown3">
			<u32 name="icon_sheet">
			<str16 name="command_text">
			<str16 name="confirm_window_title">
			<u8 name="unknown4" size="24">
		</array>
		<str16 name="command_text_cancel">
		<u16 name="unknown5a">
		<u8 name="unknown5">
	</version>
</packet>